# $Revision: 1.17 $, $Date: 2012/04/17 22:32:51 $
#
# Conditional build:
%bcond_with	gnome2		# build with support for GNOME2 wm-properties
#
Summary:	Window and compositing manager based on Clutter
Summary(pl.UTF-8):	Zarządca okien i składania oparty na bibliotece Clutter
Name:		mutter
Version:	3.4.1
Release:	1
License:	GPL v2+
Group:		X11/Window Managers
Source0:	http://ftp.gnome.org/pub/GNOME/sources/mutter/3.4/%{name}-%{version}.tar.xz
# Source0-md5:	3ca02d4ca270e8587643af405c10f57d
URL:		http://git.gnome.org/cgit/mutter
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.11
BuildRequires:	cairo-devel >= 1.10
BuildRequires:	clutter-devel >= 1.9.10
BuildRequires:	cogl-devel >= 1.9.6
BuildRequires:	gdk-pixbuf2-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.26.0
BuildRequires:	gnome-common
BuildRequires:	gnome-doc-utils >= 0.8.0
BuildRequires:	gobject-introspection-devel >= 0.10.0
BuildRequires:	gsettings-desktop-schemas-devel >= 3.3.0
BuildRequires:	gtk+3-devel >= 3.3.7
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libcanberra-gtk3-devel >= 0.26
BuildRequires:	libtool
BuildRequires:	pango-devel >= 1.2.0
BuildRequires:	pkgconfig
# only in configure.in
BuildRequires:	python >= 1:2.5
BuildRequires:	startup-notification-devel >= 0.7
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXcomposite-devel >= 0.2
BuildRequires:	xorg-lib-libXcursor-devel
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.26.0
Requires:	%{name}-libs = %{version}-%{release}
Requires:	gsettings-desktop-schemas >= 3.3.0
Requires:	zenity
Provides:	gnome-wm
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mutter is a window and compositing manager that displays and manages
your desktop via OpenGL. Mutter combines a sophisticated display
engine using the Clutter toolkit with solid window-management logic
inherited from the Metacity window manager.

%description -l pl.UTF-8
Mutter to zarządca okien i składania wyświetlający pulpit i
zarządzający nim poprzez OpenGL. Łączy wyszukany silnik wyświetlania
wykorzystujący toolkit Clutter z solidną logiką zarządcy okien
odziedziczoną z zarządcy okien Metacity.

%package libs
Summary:	Mutter shared library
Summary(pl.UTF-8):	Biblioteka współdzielona zarządcy okien Mutter
Group:		Libraries
Requires:	cairo >= 1.10
Requires:	clutter >= 1.9.10
Requires:	cogl >= 1.9.6
Requires:	glib2 >= 1:2.26.0
Requires:	gtk+3 >= 3.3.7
Requires:	libcanberra-gtk3 >= 0.26
Requires:	startup-notification >= 0.7
Requires:	xorg-lib-libXcomposite >= 0.2
Conflicts:	mutter < 3.4.0-2

%description libs
Mutter shared library.

%description libs -l pl.UTF-8
Biblioteka współdzielona zarządcy okien i składania Mutter.

%package devel
Summary:	Development package for Mutter
Summary(pl.UTF-8):	Pakiet programistyczny do wtyczek zarządcy okien Mutter
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	cairo-devel >= 1.10
Requires:	clutter-devel >= 1.9.10
Requires:	cogl-devel >= 1.9.6
Requires:	glib2-devel >= 1:2.26.0
Requires:	gtk+3-devel >= 3.3.7
Requires:	libcanberra-gtk3-devel >= 0.26
Requires:	startup-notification-devel >= 0.7
Requires:	xorg-lib-libXcomposite-devel >= 0.2
Requires:	xorg-lib-libXcursor-devel
Requires:	xorg-lib-libXdamage-devel
Requires:	xorg-lib-libXfixes-devel
Requires:	xorg-lib-libXrender-devel

%description devel
Header files for developing Mutter plugins.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia wtyczek zarządcy okien i składania
Mutter.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	ZENITY=/usr/bin/zenity \
	--disable-schemas-install \
	--disable-silent-rules \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{!?with_gnome2:%{__rm} $RPM_BUILD_ROOT%{_datadir}/gnome/wm-properties/mutter-wm.desktop}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README AUTHORS NEWS HACKING doc/theme-format.txt rationales.txt
%attr(755,root,root) %{_bindir}/mutter
%attr(755,root,root) %{_bindir}/mutter-message
%attr(755,root,root) %{_bindir}/mutter-theme-viewer
%attr(755,root,root) %{_bindir}/mutter-window-demo
%dir %{_libdir}/mutter/plugins
%attr(755,root,root) %{_libdir}/mutter/plugins/default.so
%{_desktopdir}/mutter.desktop
%{?with_gnome2:%{_datadir}/gnome/wm-properties/mutter-wm.desktop}
%{_datadir}/mutter
%{_datadir}/GConf/gsettings/mutter-schemas.convert
%{_datadir}/glib-2.0/schemas/org.gnome.mutter.gschema.xml
%{_datadir}/gnome-control-center/keybindings/50-mutter-windows.xml
%{_mandir}/man1/mutter.1*
%{_mandir}/man1/mutter-message.1*
%{_mandir}/man1/mutter-theme-viewer.1*
%{_mandir}/man1/mutter-window-demo.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmutter.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmutter.so.0
%dir %{_libdir}/mutter
# intentionally installed in package-private dir
%{_libdir}/mutter/Meta-*.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmutter.so
%{_includedir}/mutter
# intentionally installed in package-private dir
%{_libdir}/mutter/Meta-*.gir
%{_pkgconfigdir}/libmutter.pc
%{_pkgconfigdir}/mutter-plugins.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mutter.spec,v $
Revision 1.17  2012/04/17 22:32:51  wrobell
- ver. 3.4.1

Revision 1.16  2012/04/03 16:21:31  qboosh
- pl
- separated -libs so whole WM is not needed for development
- pass ZENITY so zenity program is not BRed
- added versioned install time dependencies

Revision 1.15  2012/03/28 07:50:46  kiesiu
- updated to 3.4.0

Revision 1.14  2012/03/27 05:08:03  arekm
- release 2

Revision 1.13  2012/01/19 17:21:45  megabajt
- updated to 3.2.2

Revision 1.12  2011/10/18 19:53:55  kiesiu
- updated to 3.2.1

Revision 1.11  2011/09/30 06:24:24  wiget
- rel. 2

Revision 1.10  2011/09/28 19:00:17  kiesiu
- updated to 3.2.0; merged from DEVEL

Revision 1.9  2011/07/27 23:38:33  baggins
- rel 3
- use buildroot for removing things

Revision 1.8  2011/07/27 23:27:00  baggins
- rel 2
- conditional (off by default) wm-properties (only used in gnome2)

Revision 1.7.2.7  2011/09/25 14:41:07  wiget
- merge gnome2 bcond from HEAD

Revision 1.7.2.6  2011/09/20 20:20:18  megabajt
- updated to 3.1.92

Revision 1.7.2.5  2011/09/15 08:28:18  wiget
- up to 3.1.91.1
- removed redraw.patch (applied upstream)

Revision 1.7.2.4  2011/09/14 23:26:13  patrys
- add fix for screen redrawing

Revision 1.7.2.3  2011/09/01 20:39:24  patrys
- 3.1.90.1

Revision 1.7.2.2  2011/07/29 15:39:01  patrys
- 3.1.4

Revision 1.7.2.1  2011/07/11 09:33:54  patrys
- 3.1.3.1

Revision 1.7  2011/05/25 22:30:54  megabajt
- updated to 3.0.2.1

Revision 1.6  2011/04/26 10:54:10  megabajt
- updated to 3.0.1

Revision 1.5  2011/04/04 21:55:13  megabajt
- updated to 3.0.0; merged from DEVEL

Revision 1.3.2.17  2011/03/30 09:59:31  kiesiu
- up to 2.91.93

Revision 1.3.2.16  2011/03/22 22:41:11  megabajt
- updated to 2.91.92

Revision 1.3.2.15  2011/03/08 07:51:23  wiget
- up to 2.91.91
- moved mutter-theme-viewer and mutter-window-demo to main package

Revision 1.3.2.14  2011/02/26 10:37:30  patrys
- 2.91.90

Revision 1.3.2.13  2011/02/12 23:01:48  wiget
- BR stable gtk+
- kill libtool file

Revision 1.3.2.12  2011/02/03 18:30:18  wiget
- 2.91.6

Revision 1.3.2.11  2010/12/28 21:31:04  wiget
- 2.91.4

Revision 1.3.2.10  2010/12/02 20:45:08  wiget
- 2.91.3

Revision 1.3.2.9  2010/11/21 16:12:19  wiget
- P: gnome-wm

Revision 1.3.2.8  2010/11/11 12:39:38  megabajt
- updated to 2.91.2

Revision 1.3.2.7  2010/11/06 10:44:58  wiget
- BR libcanberra-gtk3-devel

Revision 1.3.2.6  2010/10/31 21:27:13  megabajt
- updated to 2.91.1

Revision 1.3.2.5  2010/07/22 21:45:18  patrys
- use gtk3

Revision 1.3.2.4  2010/07/22 20:04:12  patrys
- 2.31.5
- intltool m4 macros somehow detect localedir to be /usr/lib/locale

Revision 1.4  2010/07/22 18:24:59  patrys
- rel 3

Revision 1.3.2.3  2010/07/01 20:01:09  patrys
- 2.31.4

Revision 1.3.2.2  2010/06/22 19:12:34  patrys
- 2.31.2

Revision 1.3.2.1  2010/03/23 22:01:42  megabajt
- updated to 2.29.1

Revision 1.3  2009/10/17 08:26:42  wiget
- verbose make
- rel 2

Revision 1.2  2009/10/16 18:36:53  wrobell
- ver. 2.28.0

Revision 1.1  2009/08/12 11:02:05  patrys
- initial PLD release

